#
# spec file for package sitecopy (Version 0.10.15)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libglade libglade-devel libxml libxml-devel openssl openssl-devel orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libglade libglade-devel libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         sitecopy
Summary:      Local->Remote website synchronizer
Version:      0.10.15
Release:      222
Copyright:    GPL
Group:        Applications/Networking
Source0:      http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Patch0:       sitecopy-%{version}.dif
URL:	      http://www.lyra.org/sitecopy
BuildRoot:    /var/tmp/buildroot-sitecopy

%description
sitecopy is for copying locally stored websites to remote web servers.
The program will upload files to the server which have changed
locally, and delete files from the server which have been removed
locally, to keep the remote site synchronized with the local site,
with a single command.  The aim is to remove the hassle of uploading
and deleting individual files using an FTP client.
FTP, WebDAV and HTTP-based authoring servers are supported.

Authors:
--------
    Joe Orton <joe@orton.demon.co.uk>

SuSE series: n

%package -n xsitecpy
Summary:      Sitecopy website synchronization utility. (GNOME version)
Group:    X11/Applications/Networking

%description -n xsitecpy
XSitecopy is the gnome version of sitecopy. Currently it does not support
"fetch mode" or "resynch", but it does have the advantage of providing full
configuration editing facilities.

Authors:
--------
    Joe Orton <joe@orton.demon.co.uk>
    Lee Mallabone <lee0@callnetuk.com>

SuSE series: n

%prep
%setup -q -T -c -a 0
pwd
ls -l
cd %{name}-%{version}
%patch0
pwd
cd ..
mv sitecopy-%{version} sitecopy
%setup -q -T -c -a 0 -D
ls -l
cd %{name}-%{version}
%patch0
cd ..
mv sitecopy-%{version} xsitecopy

%build
pwd
# vanilla sitecopy.
cd sitecopy
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/usr \
	--mandir=\${prefix}/share/man \
	--with-ssl
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi
cd ..
# xsitecopy.
cd xsitecopy
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/opt/gnome \
	--with-extra-includes=/opt/gnome/include \
	--enable-gnomefe \
	--with-ssl
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi
cd ..

%install
echo $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/gnome/{share,share/gnome,share/gnome/apps,share/gnome/apps/Internet}
install -d $RPM_BUILD_ROOT/opt/gnome/{share/gnome/help,share/gnome/help/xsitecopy,share/gnome/help/xsitecopy/C}
cd sitecopy
make prefix=$RPM_BUILD_ROOT/usr install
cd ..
cd xsitecopy
make prefix=$RPM_BUILD_ROOT/opt/gnome install
cd ..
#%clean
#rm -rf $RPM_BUILD_ROOT

%files -n sitecopy
%defattr(-, root, root)
/usr/bin/sitecopy
%doc sitecopy/COPYING
%doc sitecopy/README
%doc sitecopy/ChangeLog 
%doc sitecopy/FAQ
%doc sitecopy/doc/examplerc
%doc sitecopy/doc/update.sh
/usr/share/man/man1/*
/usr/share/locale/*/LC_MESSAGES/sitecopy.mo

%files -n xsitecpy
%defattr(-, root, root)
%doc sitecopy/COPYING
%doc sitecopy/README
%doc sitecopy/README.gnome
%doc sitecopy/gnome/ChangeLog.xsitecopy 
%doc sitecopy/FAQ
%doc sitecopy/doc/update.sh
/opt/gnome/share/gnome/help/xsitecopy
/opt/gnome/share/sitecopy/examplerc
/opt/gnome/share/pixmaps/xsitecopy
/opt/gnome/share/gnome/apps/Internet/*.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/sitecopy.mo
/opt/gnome/bin/xsitecopy
/opt/gnome/share/xsitecopy/sitecopy-dialogs.glade

%changelog -n sitecopy
* Wed Jul 11 2001 - olh@suse.de
- enable openssl support
* Wed Jul 11 2001 - olh@suse.de
- gcc30 compile fixes
* Tue Mar 13 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.10.15
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Dec 12 2000 - olh@suse.de
- update to 0.10.9
* Wed Nov 22 2000 - olh@suse.de
- update to 0.10.7
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 17 2000 - olh@suse.de
- update to 0.10.6, fix gnome header path
* Tue Sep 12 2000 - olh@suse.de
-  add libgladd to neededforbuild
* Sun Sep 10 2000 - olh@suse.de
- fix specfile
* Tue Sep 05 2000 - egger@suse.de
- Update to 0.10.4.
* Sun Mar 12 2000 - olh@suse.de
- update to 0.9.8
* Wed Mar 08 2000 - olh@suse.de
- update to 0.9.7
* Tue Mar 07 2000 - olh@suse.de
- update to 0.9.6, use locale
* Thu Mar 02 2000 - olh@suse.de
- update to 0.9.5
* Fri Feb 04 2000 - olh@suse.de
- update to 0.9.4
* Wed Jan 26 2000 - olh@suse.de
- update to 0.9.3
  /usr/man -> /usr/share/man
  check for compile errors on axp,i386,ppc
* Thu Dec 09 1999 - olh@suse.de
- added expat to # neededforbuild
* Tue Dec 07 1999 - olh@suse.de
- remove expat from package
* Mon Oct 25 1999 - olh@suse.de
- update to 0.8.4
* Sun Oct 24 1999 - olh@suse.de
- fixed dump specfile, add more docs
- check for build on i386, axp, ppc
- added libexpat, a XML parser in C
* Fri Oct 22 1999 - olh@suse.de
- fixed installdir for sitecopy
* Fri Oct 22 1999 - olh@suse.de
- update to 0.8.3
* Tue Sep 21 1999 - olh@suse.de
- add sitecopy package to SuSE distribution
